# QURI Parts riqu

riqu (**R**EST **I**nterface for **Qu**antum Computing) is an interface for using quantum computers
through cloud services and designed by Center for Quantum Information and Quantum Biology, Osaka University (referred to as QIQB).

QURI Parts riqu is a support library for using riqu interface with QURI Parts, developed by QIQB.

This package is experimental and may undergo breaking changes without notice.
Use it at your own risk.


## Installation

QURI Parts requires Python 3.9.8 or later.

Use `pip` to install QURI Parts riqu.

```
pip install quri-parts-riqu
```

### Installation from local source tree

If you check out the QURI Parts riqu repository and want to install from that local source tree, you can use `poetry install` command.

```
poetry install
```


## Documentation and tutorials

 - [QURI Parts Documentation](https://quri-parts.qunasys.com)
 - [QURI Parts riqu Documentation](https://quri-parts-riqu.readthedocs.io)
 - [QURI Parts riqu Tutorials](https://quri-parts-riqu.readthedocs.io/en/latest/tutorials.html)


## Repository

 - [QURI Parts Repository](https://github.com/QunaSys/quri-parts)
 - [QURI Parts riqu Repository](https://github.com/qiqb-osaka/quri-parts-riqu)


## Release notes

See [Releases page](https://github.com/qiqb-osaka/quri-parts-riqu/releases) on GitHub.


## Contribution guidelines

If you are interested in contributing to QURI Parts, please take a look at our [contribution guidelines](CONTRIBUTING.md).


## Authors

QURI Parts riqu developed and maintained by [QIQB](https://qiqb.osaka-u.ac.jp/). All contributors can be viewed on [GitHub](https://github.com/qiqb-osaka/quri-parts-riqu/graphs/contributors).


## License

Apache License 2.0


## Support

QURI Parts riqu development is supported by JST COI-NEXT GrantNumber JPMJPF2014.
